<?php

use Routes\RouteCollection as RouteCollection;


RouteCollection::cli('/core/purge', function(){
    echo "Purging Everything\n";
});

RouteCollection::cli('/core/purge/[h:module]', function($module){
    echo "Purgin $module\n";
});

RouteCollection::cli('/core/routes', function(){
    foreach(RouteCollection::return_routes() as $route){
        echo str_pad( implode(',', $route->_verb), 10) . "| $route->_uri \n";
    }
});

RouteCollection::cli('/core/generator', function(){

    include_once 'GeneratorController.php';
    last_class()->menu();
    
});